Bug 1478560 - RHV provider does not trust certificate authorities from the system CA database
Summary: RHV provider does not trust certificate authorities from the system CA database
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.2
Assignee: Juan Hernández
QA Contact: Ilanit Stein
URL:
Whiteboard: rhev
Depends On: 1459569
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-04 19:34 UTC by Satoe Imaishi
Modified: 2017-10-24 00:36 UTC (History)
7 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1459569
Environment:
Last Closed: 2017-10-24 00:36:38 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-04 19:36:11 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/bb075a7eae1ac08c093c45b6364b26fe39e1b5d7

commit bb075a7eae1ac08c093c45b6364b26fe39e1b5d7
Author:     Moti Asayag <masayag@redhat.com>
AuthorDate: Wed Jul 19 12:48:21 2017 +0300
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Aug 4 15:35:09 2017 -0400

    Merge pull request #63 from jhernand/use_nil_ca_certs_to_trust_system_cas
    
    Use nil ca_certs to trust system CAs
    (cherry picked from commit 3c39291a97bb39ca9e196943f2eb1e28a4be002c)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1478560

 .../manageiq/providers/redhat/infra_manager/api_integration.rb    | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

Comment 3 Ilanit Stein 2017-09-03 10:23:11 UTC
Verified on CFME-5.8.2/RHV-4.1.3.4-0.1.el7.

Followed steps 1-4 in the bug description.

RHV provider was validated & added successfully, along with Verify_tls ON, and not providing the ca_cert in the UI Add provider dialog.

Comment 5 errata-xmlrpc 2017-10-24 00:36:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.